"use strict";
cc._RF.push(module, '280c3rsZJJKnZ9RqbALVwtK', 'Test');
// Script/Test.js

'use strict';

cc.Class({
    extends: cc.Component,

    properties: {},

    onLoad: function onLoad() {
        var count = 0;
        var skeleton = this.node.getChildByName('Test').getComponent(sp.Skeleton);
        skeleton.setEventListener(function (track, event) {
            count++;
            if (count < 5) {
                console.log(event);
                if (event.data.name === 'circle_g2b') {
                    skeleton.setAnimation(1, event.data.name, false);
                    // this.scheduleOnce(function () {
                    //     skeleton.setAnimation(1, event.data.name, false);
                    // });
                }
            }
        }.bind(this));
    }
});

cc._RF.pop();